Get Product by ID
The “Get Product by ID” API allows to retrieve information for a specific product using its unique identifier. Use this endpoint to fetch details for a single product based on the provided product ID.
GET
/
products
/
{productId}
Get Product by ID
curl --request GET \
--url https://services.leadconnectorhq.com/products/{productId} \
--header 'Version: <version>'const options = {method: 'GET', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/products/{productId}"
headers = {"Version": "<version>"}
response = requests.get(url, headers=headers)
print(response.text){
"_id": "655b33a82209e60b6adb87a5",
"locationId": "3SwdhCsvxI8Au3KsPJt6",
"name": "Awesome Product",
"productType": "PHYSICAL",
"createdAt": "2023-11-20T10:23:36.515Z",
"updatedAt": "2024-01-23T09:57:04.846Z",
"description": "This is a really awesome product",
"variants": [
{
"id": "38s63qmxfr4",
"name": "Size",
"options": [
{
"id": "h4z7u0im2q8",
"name": "XL"
}
]
}
],
"availableInStore": true,
"statementDescriptor": "abcde",
"image": "https://storage.googleapis.com/ghl-test/3SwdhCsvxI8Au3KsPJt6/media/65af8d5df88bdb4b1022ee90.png",
"collectionIds": [
"65d71377c326ea78e1c47df5",
"65d71377c326ea78e1c47d34"
],
"isTaxesEnabled": true,
"taxes": [
"654492a4e6bef380114de15a"
],
"automaticTaxCategoryId": "65d71377c326ea78e1c47df5",
"label": {
"title": "Featured",
"startDate": "2024-06-26T05:43:35.000Z",
"endDate": "2024-06-30T05:43:39.000Z"
},
"slug": "washing-machine"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Path Parameters
Query Parameters
Response
Successful response
Last modified on March 8, 2026
Was this page helpful?
Get Product by ID
curl --request GET \
--url https://services.leadconnectorhq.com/products/{productId} \
--header 'Version: <version>'const options = {method: 'GET', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/products/{productId}"
headers = {"Version": "<version>"}
response = requests.get(url, headers=headers)
print(response.text){
"_id": "655b33a82209e60b6adb87a5",
"locationId": "3SwdhCsvxI8Au3KsPJt6",
"name": "Awesome Product",
"productType": "PHYSICAL",
"createdAt": "2023-11-20T10:23:36.515Z",
"updatedAt": "2024-01-23T09:57:04.846Z",
"description": "This is a really awesome product",
"variants": [
{
"id": "38s63qmxfr4",
"name": "Size",
"options": [
{
"id": "h4z7u0im2q8",
"name": "XL"
}
]
}
],
"availableInStore": true,
"statementDescriptor": "abcde",
"image": "https://storage.googleapis.com/ghl-test/3SwdhCsvxI8Au3KsPJt6/media/65af8d5df88bdb4b1022ee90.png",
"collectionIds": [
"65d71377c326ea78e1c47df5",
"65d71377c326ea78e1c47d34"
],
"isTaxesEnabled": true,
"taxes": [
"654492a4e6bef380114de15a"
],
"automaticTaxCategoryId": "65d71377c326ea78e1c47df5",
"label": {
"title": "Featured",
"startDate": "2024-06-26T05:43:35.000Z",
"endDate": "2024-06-30T05:43:39.000Z"
},
"slug": "washing-machine"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}